import { FernRegistry } from "../../client/generated";
export function createTypeDefinition(typeArgs) {
    const { uniqueId, type, contextTypes, description, availability } = typeArgs;
    contextTypes[FernRegistry.TypeId(uniqueId)] = {
        name: uniqueId,
        shape: type,
        description,
        availability,
    };
}
